/*****************************************************************************/
/*
/* Common
/*
/*****************************************************************************/

/* Global Reset */

* {
  margin: 0;
  padding: 0;
}

html, body {
  height: 100%;
}

body {
  background-color: #181818;
  font: 15px helvetica, arial, clean, sans-serif;
  *font-size: small;
  color: #ccc;
  text-align: center;
}

h1, h2, h3, h4, h5, h6 {
  font-size: 100%;
  /* give headers some space to breathe */
  margin-top: 1em;
}

h1 {
  margin-bottom: 1em;
}

p {
  margin: 1em 0;
}

a {
  color: #6db3f2;
}

a:hover {
  color: #dceaff;
}

a:visited {
  color: #b48ae0;
}

table {
  font-size: inherit;
  font: 100%;
}

/*****************************************************************************/
/*
/* Home
/*
/*****************************************************************************/

ul.posts {
  list-style-type: none;
  margin-bottom: 1em;
}

  ul.posts li {
    line-height: 1.75em;
  }

  ul.posts span {
    color: #888;
    font-family: helvetica, arial, clean, sans-serif, monospace;
    font-size: 80%;
  }

ul.descriptions {
  list-style-type: none;
  margin-bottom: 0em;
  padding-left: 4.5em;
}

  ul.descriptions li {
    line-height: 1.5em;
  }

  ul.descriptions span {
    color: #888;
    font-family: helvetica, arial, clean, sans-serif, monospace;
    font-size: 80%;
  }



table {
  padding: 0; 
  border-collapse: collapse;
}
  table tr {
    border-top: 1px solid #3a3a3a;
    background-color: #1e1e1e;
    margin: 0;
    padding: 0; }
    table tr:nth-child(2n) {
      background-color: #242424; }
    table tr th {
      font-weight: bold;
      border: 1px solid #3a3a3a;
      text-align: left;
      margin: 0;
      padding: 6px 13px; }
    table tr td {
      border: 1px solid #3a3a3a;
      text-align: left;
      margin: 0;
      padding: 6px 13px; }
    table tr th :first-child, table tr td :first-child {
      margin-top: 0; }
    table tr th :last-child, table tr td :last-child {
      margin-bottom: 0; }


/*****************************************************************************/
/*
/* Site
/*
/*****************************************************************************/

.site {
  font-size: 120%;
  text-align: justify;
  width: 40em;
  margin: 1em auto 2em auto;
  line-height: 1.5em;
}

/*
.header {
  position: relative;
  display: block;
  border: 0;
  margin-bottom: 0em;
}
*/


.header {
  position: relative;
  width: 50em;
  /* height: 22em; */
  margin: 0em auto;
  margin-top: 2em;
  margin-bottom: 0em;
  display: block;
  border: 0;
}

.header img {
  filter: brightness(0.75) saturate(0.85);
}

.title {
  color: #ff7b72;
  font-weight: bold;
  margin: 1em auto 2em auto;
  margin-bottom: .5em;
}

  .site .title a {
    color: #ff6b6b;
    text-decoration: none;
  }

  .site .title a:hover {
    color: #dceaff;
  }

  .site .title a.extra {
    color: #eaa0a0;
    text-decoration: none;
    margin-left: 1em;
  }

  .site .title a.extra:hover {
    color: #dceaff;
  }

  .site .meta {
    color: #888;
  }

  .site .footer {
    font-size: 80%;
    color: #181818;
    border-top: 4px solid #333;
    margin-top: 2em;
    overflow: hidden;
  }

    .site .footer .contact {
      float: left;
      margin-right: 3em;
    }

      .site .footer .contact a {
        color: #a3a9f5;
      }

    .site .footer .rss {
      margin-top: 1.1em;
      margin-right: -.2em;
      float: right;
    }

      .site .footer .rss img {
        border: 0;
      }

/*****************************************************************************/
/*
/* Posts
/*
/*****************************************************************************/

#post {

}

  /* standard */

  #post pre {
    border: 1px solid #2c2c2c;
    background-color: #151515;
    padding: 0 .4em;
    /* Fix code blocks that cross lines */
    white-space: pre-wrap;       /* Since CSS 2.1 */
    white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
    white-space: -pre-wrap;      /* Opera 4-6 */
    white-space: -o-pre-wrap;    /* Opera 7 */
    word-wrap: break-word;       /* Internet Explorer 5.5+ */
  }

  #post ul,
  #post ol {
    margin-left: 1.35em;
  }

  #post code {
    border: 1px solid #2c2c2c;
    background-color: #151515;
    font-size: 100%;
    padding: 0 .2em;
    overflow-wrap: break-word;
  }

    #post pre code {
      border: none;
    }

  /* terminal */

  #post pre.terminal {
    border: 1px solid black;
    background-color: #333;
    color: white;
  }

  #post pre.terminal code {
    background-color: #333;
  }

#related {
  margin-top: 2em;
}

  #related h2 {
    margin-bottom: 1em;
  }
